Get one page of reviews for a Shopify app
curl --request GET \
--url https://api.scoutlayer.io/v1/shopify/apps/{handle}/reviews \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.scoutlayer.io/v1/shopify/apps/{handle}/reviews"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.scoutlayer.io/v1/shopify/apps/{handle}/reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"reviews": [
{
"appUrl": "<string>",
"appName": "<string>",
"authorName": "<string>",
"publishedAt": "<string>",
"authorLocation": "<string>",
"rating": 123,
"authorLastUsedAt": "<string>",
"text": "<string>",
"reviewId": "<string>"
}
],
"summary": [
{
"label": "<string>",
"count": 123
}
],
"pagination": {
"hasNextPage": true,
"totalPages": 123,
"currentPage": 123
}
}{
"error": {
"code": "NOT_FOUND",
"message": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "<string>"
}
}Shopify Apps
Shopify App Reviews API
Paginated, sortable (relevance/newest) reviews for one app.
GET
/
v1
/
shopify
/
apps
/
{handle}
/
reviews
Get one page of reviews for a Shopify app
Authorizations
ApiKeyAuthBearerAuth
API key passed as the X-API-Key request header. Recommended for server-to-server calls.
Path Parameters
Minimum string length:
1Example:
"klaviyo"
Query Parameters
Required range:
x > 0Example:
1
Available options:
relevance, newest Example:
"newest"
⌘I